Skip to main content
`Ctrl`+`K`

# ISInfo

Info that may either be computed or set as known for an index set

## Synopsis

    #include "petscis.h"
    typedef enum {
      IS_INFO_MIN    = -1,
      IS_SORTED      = 0,
      IS_UNIQUE      = 1,
      IS_PERMUTATION = 2,
      IS_INTERVAL    = 3,
      IS_IDENTITY    = 4,
      IS_INFO_MAX    = 5
    } ISInfo;

## Developer Note

Entries that are negative need not be called collectively by all processes.

## See Also

`IS`, `ISType`, `ISSetInfo()`

## Level

intermediate

## Location

include/petscis.h

Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages